# _parseState Struct Reference

Parser state. More...

## Data Fields

char * | str
char * | p
int | nextToken
Value | tokenValue
Spec | spec

## Detailed Description

Parser state.

Definition at line 103 of file expression.c.

## Field Documentation

int _parseState::nextToken

current lookahead token

Definition at line 106 of file expression.c.

Referenced by doAddSubtract(), doLogical(), doMultiplyDivide(), doPrimary(), doRelational(), parseExpressionBoolean(), parseExpressionString(), and rdToken().

char* _parseState::p

current position in expression string

Definition at line 105 of file expression.c.

Referenced by parseExpressionBoolean(), parseExpressionString(), and rdToken().

Spec _parseState::spec

spec file that we are parsing inside of

Definition at line 108 of file expression.c.

Referenced by parseExpressionBoolean(), and parseExpressionString().

char* _parseState::str

expression string

Definition at line 104 of file expression.c.

Referenced by parseExpressionBoolean(), and parseExpressionString().

Value _parseState::tokenValue

valid when TOK_INTEGER or TOK_STRING

Definition at line 107 of file expression.c.

Referenced by doPrimary(), parseExpressionBoolean(), parseExpressionString(), and rdToken().

The documentation for this struct was generated from the following file:

- build/expression.c